=begin pod

=TITLE class X::Syntax::Regex::Adverb

=SUBTITLE Compilation error due to an unrecognized regex adverb

    class X::Syntax::Regex::Adverb does X::Syntax { }

Syntax error thrown when an unrecognized or illegal regex adverb is
encountered.

For example C<rx:g/a/> dies with

    ===SORRY!===
    Adverb g not allowed on rx

because C<:g> belongs to a match operation, not a regex itself.

=head1 Methods

=head2 method adverb

    method adverb() returns Str:D

Returns the illegally used adverb

=head2 method construct

    method construct() returns Str:D

Returns the name of the construct that adverb was used on (C<m>, C<ms>,
C<rx>, C<s>, C<ss>).

=end pod
